<div align="center">
  <h1>Labelme Toolkit</h1>
  <p>Tools to streamline dataset creation with Labelme.</p>
</div>

<br/><br/>

<i>Labelme Toolkit</i> is a set of tools to streamline your dataset creation.

<i>Labelme Toolkit</i> provides:

1. **Automation** - Annotation by AI, data manipulation, validation, and export;
1. **Batch processing** - Process multiple files at once;
1. **Seamless integration with [Labelme](https://github.com/labelmeai/labelme)** - Compatible annotation format.

## Installation

```bash
pip install labelme-toolkit
```

## Usage

```bash
labelmetk <COMMAND> [OPTIONS]
```

### Commands

- `ai-annotate-rectangles`:  Annotate rectangle from text by AI.
- `extract-image`:           Extract image from a JSON file.
- `install-toolkit-pro`:     Install Toolkit Pro.
- `json-to-mask`:            Convert a Labelme JSON file to a mask.
- `json-to-visualization`:   Convert a Labelme JSON file to a visualization.
- `list-labels`:             List unique labels in the JSON files.

For step-by-step guide: [Labelme Toolkit Guide](https://gumroad.labelme.io/l/toolkit-guide).

For Pro version: [Labelme Toolkit Pro](https://gumroad.labelme.io/l/toolkit-pro).
